library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;


entity DE0_NANO is
    Port ( 
			CLOCK_50 	: in STD_LOGIC;
--//////////// LED //////////
			LED			: out STD_LOGIC_VECTOR(7 DOWNTO 0);
--//////////// SW //////////
			KEY				: in STD_LOGIC_VECTOR(1 DOWNTO 0)
											);
end DE0_NANO;

architecture Behavioral of DE0_NANO is

begin		
		
process
variable cnt: integer range 0 to 50000000;
begin

	WAIT UNTIL(CLOCK_50'EVENT) AND (CLOCK_50 = '1');
	
	IF(cnt = 50000000)THEN		
	cnt := 0;
	ELSE
	cnt := cnt  + 1;
	END IF;
	
	CASE KEY IS
		when "11" =>
					if(cnt > 25000000)then		
						LED <= "00011000";
					else
						LED <= (others => '0');
					end if;					
		when "01" =>
					if(cnt > 25000000)then
						LED <= "11110000";
					else
						LED <= (others => '0');
					end if;
		when "10" =>
					if(cnt > 25000000)then		
						LED <= "00001111";
					else
						LED <= (others => '0');
					end if;								
		when "00" =>
					if(cnt > 25000000)then		
						LED <= "11111111";
					else
						LED <= (others => '0');
					end if;					
		when others =>	
	END CASE;
	
end process;
				
end Behavioral;
